using LinqToDB.Mapping;

namespace bahnplan.web.database.Tables {
	[Table(Name = "Legs")]
	public class Leg {
		[Column(Name = "LegID"), PrimaryKey, Identity, NotNull]
		public int LegId { get; set; }

		[Column(Name = "TripID"), NotNull] public int TripId { get; set; }

		[Column(Name = "UserID"), NotNull] public int UserId { get; set; }

		[Column(Name = "TrainType"), NotNull] public string TrainType { get; set; }

		[Column(Name = "TrainNr"), NotNull] public int TrainNr { get; set; }

		[Column(Name = "DepStationID"), NotNull]
		public int DepStationId { get; set; }

		[Column(Name = "DepStation"), NotNull] public string DepStation { get; set; }

		[Column(Name = "DepTime"), NotNull] public string DepTime { get; set; }

		[Column(Name = "ArrStationID"), NotNull]
		public int ArrStationId { get; set; }

		[Column(Name = "ArrStation"), NotNull] public string ArrStation { get; set; }

		[Column(Name = "ArrTime"), NotNull] public string ArrTime { get; set; }

		[Column(Name = "TicketID")] public int TicketId { get; set; }

		[Column(Name = "Comment")] public string Comment { get; set; }
	}
}