﻿using System.Diagnostics.CodeAnalysis;
using Microsoft.AspNetCore.Mvc;

namespace bahnplan.web.Controllers {
	[ApiController, Route("api/[controller]")]
	public class TestController : ControllerBase {
		[HttpGet]
		public ApiResponse Get() => new ApiResponse("test", 4);
	}

	[SuppressMessage("ReSharper", "UnusedAutoPropertyAccessor.Global")]
	public class ApiResponse {
		public ApiResponse(string string1, int int1) {
			String1 = string1;
			Int1    = int1;
		}

		public string String1 { get; }
		public int    Int1    { get; }
	}
}